package com.picture.ar.drawing.list;

import android.content.Context;
import android.content.Intent;
import android.util.Log;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;

import androidx.annotation.NonNull;
import androidx.recyclerview.widget.RecyclerView;

import com.picture.ar.drawing.activity.PreviewActivity;
import com.picture.ar.drawing.databinding.ListAllBinding;
import com.picture.ar.drawing.utils.App;
import com.picture.ar.drawing.utils.ComUtils;

import java.util.List;

public class ViewAllList extends RecyclerView.Adapter<ViewAllList.HomeVH> {


    private Context mCon;
    private List<String> data;



    public ViewAllList(Context mCon, List<String> bitmapList) {
        this.mCon = mCon;
        data = bitmapList;
    }



    @NonNull
    @Override
    public HomeVH onCreateViewHolder(@NonNull ViewGroup parent, int viewType) {

        return new HomeVH( ListAllBinding.inflate(LayoutInflater.from(parent.getContext()), parent, false));
    }

    @Override
    public void onBindViewHolder(@NonNull HomeVH holder, int position) {

        String name = data.get(position);
        Log.d(App.TAG,"--------name="+name);
          ComUtils.loadImageFromAssets(mCon, name, holder.binding.imPreview, bitmap -> {

          });


        holder.binding.cardView.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                Intent intent = new Intent(mCon, PreviewActivity.class);
                intent.putExtra(App.Key_Camera, name);
                mCon.startActivity(intent);
            }
        });


    }

    @Override
    public int getItemCount() {
        return data.size();
    }

    public static class HomeVH extends RecyclerView.ViewHolder {
        private ListAllBinding binding;




        public HomeVH(@NonNull ListAllBinding itemView) {
            super(itemView.getRoot());
            binding = itemView;
        }


    }
}
